Bug 813539 - /usr/bin/thermostat-client has hard coded paths to JVM
/usr/bin/thermostat-client has hard coded paths to JVM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: thermostat (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 15:40 EDT by Mikko Tiihonen
Modified: 2012-05-08 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: thermostat-0.2-0.20120506hg2140a7c81a4b.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:17:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikko Tiihonen 2012-04-17 15:40:53 EDT
Description of problem:
/usr/bin/thermostat-client has hard coded path JAVA=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1/jre/bin/java

However the on my system the latest openjdk on F17 is installed in /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java

To fix it would be most likely best to use the system symlinks, for example the /usr/lib/jvm/java-1.7.0/bin/java


Another bug is that the script refers to hardcoded tools.jar location too. It should use the $JAVA defined earlier.


Third bug is that script requires tools.jar on the classpath, which is not included in the openjdk-1.7.0 package but in the openjdk-1.7.0-devel package only. Thus the rpm needs to depend on either java-1.7.0-devel or java-1.7.0-openjdk-devel instead of the plain java-1.7.0.


Version-Release number of selected component (if applicable):
thermostat-0.1-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. install openjdk-1.7.0
2. install thermostat
3. run thermostat-client
  
Actual results:
Fails to find java

Expected results:
thermostat starts
Comment 1 Fedora Update System 2012-05-06 19:34:20 EDT
thermostat-0.2-0.20120506hg2140a7c81a4b.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/thermostat-0.2-0.20120506hg2140a7c81a4b.fc17
Comment 2 Fedora Update System 2012-05-08 00:17:00 EDT
thermostat-0.2-0.20120506hg2140a7c81a4b.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.